<div class="container">
  <form [formGroup]="userForm" #formdir="ngForm">
    <input id="nom" type="email" formControlName="nom" placeholder="nom" required><br>
    @if (userForm.controls['nom']?.invalid && (userForm.controls['nom']?.dirty || userForm.controls['nom']?.touched)){
      <div class="alert alert-danger">
        @if (userForm.controls['nom']?.errors?.['required']){
          <div>El nóm és obligatori</div>
        }
        @if (userForm.controls['nom']?.errors?.['minlength']){
          <div>El nom ha de tenir al menys 7 caràcters.</div>
        }
        @if (userForm.controls['nom']?.errors?.['nomStrength']){
          <div>El nom ha d'acabar amb ies-sabadell.cat</div>
        }
      </div>
    }
    <input id="password" type="password" formControlName="password" placeholder="password"><br>
    @if (userForm.controls['password']?.invalid && (userForm.controls['nom']?.dirty || userForm.controls['nom']?.touched)){
      <div class="alert alert-danger">
        @if (userForm.controls['password']?.errors?.['required']){
          <div>La contrassenya és obligatoria</div>
        }
        @if (userForm.controls['password']?.errors?.['minlength']){
          <div>La contrassenya ha de tenir al menys 8 caràcters.</div>
        }
        @if (userForm.controls['password']?.errors?.['passwordStrength']){
          <div>La contrassenya ha de contenir majúscules, minúscules, números i caràcters especial (# i arroba no)</div>
        }
      </div>
    }
    <button class="button" (click)="register()" [disabled]="userForm.invalid">Registrar-se</button>
    <p>{{resultat}}</p>
  </form>

</div>
